<ng-template #popContent1>Test Control Analysis allows you to identify the sales impact of any change done at a Store
   (say, change in prices, or menu). This is done
   by comparing sales in the Test stores to stores where this change was not made (Control stores).
</ng-template>
<ng-template #popTitle1><b>Test - Control Analysis</b></ng-template>
<ng-template #popContent2 class="test_popover">
   <ul>
      <li>Stores where you have made a change/had a treatment. This defines the Test stores.</li>
      <li>Identify stores that are very similar to the Test stores in size, sales etc (this is important),
         but did not participate in the change. These are Control Stores.
      </li>
      <li>You can optionally specify Day Part, Order Mode or Department at which the change was made.
         The results will always be shown split by Day Part, Order Mode and Department and hence this is optional.
      </li>
      <li>This analysis will calculate the Sales response that was generated in the Test stores that was incremental to
         that in the Control Stores, by compariing to prior year (accounts for seasonality), and to the pre-period
         (accounts for recent trends).
         The sales response is calculated as Net Lift, (i.e., net sales response
         comparing Test stores to Control stores including Prior year and Pre-period sales).
      </li>
   </ul>
</ng-template>
<ng-template #popTitle2><b>Inputs </b></ng-template>
<ng-template #popContent3 class="test_popover">
   <ul>
      <li>Net Lift results can be seen as $/# change or as % change. Use the toggle above to change the view. </li>
      <li>Summary Net Lift: Net Lift in Net Sales, Average Check and Check Count. </li>
      <li>Lift over PY during Test Period - This is the change in sales, when comparing sales in
         current year to prior year (PY), during the test period
      </li>
      <li>Lift over PY during Pre-Period - This is the change in sales, when comparing sales in current year to prior
         year, during Pre- period.
         Pre-period is a time window that is equal to the Test period, and immediately prior to it.
      </li>
      <li>The above two lifts are calculated for Test Stores and Control Stores. </li>
      <li>Net Lift = (Test Stores Lift over PY during Test Period  - Control Stores Lift over PY during Test Period ) -
         (Test Stores Lift over PY during Pre-Period  - Control Stores
         Lift over PY during Pre Period )
      </li>
   </ul>
</ng-template>
<ng-template #popTitle3><b>Results</b></ng-template>
<div class="container-m--x pb-2" style="background: #fff;margin-top: -0.5rem;padding-top: 0.5rem;border-bottom: 1px solid #ccc;">
<div class="container-fluid">
   <div class="form-group w-100 pt-2" style="width:100%;">
      <div class="pl-0 pb-0 "> <img src='assets/img/magnifier.svg' />
         <span class="pl-1 inCustom-popup"
            style="font-size: 22px;color: #000000;vertical-align:middle; text-transform: capitalize;">Test -
            Control Analysis
            <img placement="right" [ngbPopover]="popContent1" [popoverTitle]="popTitle1" src='assets/img/info.svg'
               style='margin-left:5px;vertical-align:baseline;cursor:pointer;' /></span>
      </div>
   </div>
</div>
<div class="col-md-12 p-0">
   <hr class="hr-border container-m--x mt-3 mb-3">
</div>
<!-- <block-ui> -->
<div [ngClass]="loadingBgColor" *blockUI="blockUIName; template: elementBlockTemplate1">
   <form [formGroup]="filtersForm" class="container-fluid">
      <div>
         <div class="mb-3 inCustom-popup"> <img src='assets/img/inputs.svg' class="pr-2" /> <span
               style="font-size: 20px;color: #000000;vertical-align:middle;">Inputs <img placement="right"
                  [ngbPopover]="popContent2" [popoverTitle]="popTitle2" src='assets/img/info.svg'
                  style='margin-left:5px;margin-bottom:5px;cursor:pointer;' /></span>
         </div>
         <div class="card-body res-mob-p-0 pl-3" style="padding-top:0px;padding-bottom:5px;">
            <div>
               <div class="row mb-4">
                  <div class="col-auto pl-0">
                     <div class="field-title mb-2" style="white-space: nowrap;">Select Test Window</div>
                     <mat-form-field appearance="outline">
                        <mat-label>From</mat-label>
                        <input matInput [matDatepicker]="fromDate" placeholder="From date"
                           [(ngModel)]="searchByFilters.fromDate" [ngModelOptions]="{standalone: true}" />
                        <mat-datepicker-toggle matSuffix [for]="fromDate"></mat-datepicker-toggle>
                        <mat-datepicker #fromDate></mat-datepicker>
                     </mat-form-field>
                  </div>
                  <div class="col-auto">
                     <div class="field-title mb-2" style="white-space: nowrap;">&nbsp;</div>
                     <mat-form-field appearance="outline">
                        <mat-label>To</mat-label>
                        <input matInput [matDatepicker]="toDate" placeholder="To date"
                           [(ngModel)]="searchByFilters.toDate" [ngModelOptions]="{standalone: true}" />
                        <mat-datepicker-toggle matSuffix [for]="toDate"></mat-datepicker-toggle>
                        <mat-datepicker #toDate></mat-datepicker>
                     </mat-form-field>
                  </div>
                  <div class="col-auto res-mob-ml--10">
                     <div appearance="outline" style="line-height:0px;flex-direction: column;">
                        <div class="field-title pt-2" style="white-space: nowrap;">Select Aggregation</div>
                        <div appearance="outline" class="pt-4">
                           <!-- <mat-select-autocomplete #aggr class="grid-7-11 pd-t pt-2" [placeholder]="'Aggregation'"
                              [options]="aggregations" [display]="'label'" [value]="'value'" [multiple]='false'
                              [labelCount]="2" (selectionChange)="setFilterCriterea($event,'storeAggr')"
                              [selectedOptions]="searchByFilters.storeAggr">
                           </mat-select-autocomplete> -->
                        </div>
                     </div>
                  </div>
                  <div class="col-auto">
                     <div style="line-height:0px;flex-direction: column;">
                        <div class="field-title pt-2">Select Metric</div>
                        <div appearance="outline" class="pt-4">
                           <!-- <mat-select-autocomplete #metric class="grid-7-11 pd-t pt-2" [placeholder]="'Metric'"
                              [options]="metrics" [display]="'label'" [value]="'value'" [multiple]='false'
                              [labelCount]="2" (selectionChange)="setFilterCriterea($event,'metrics')"
                              [selectedOptions]="searchByFilters.metrics">
                              <mat-label>Metric</mat-label>
                           </mat-select-autocomplete> -->
                        </div>
                     </div>
                  </div>
               </div>
               <div class="row mb-1">
                  <div class="col-auto pl-0" style="line-height:0px;">
                     <div class="field-title" style="white-space: nowrap;">Select Test Stores</div>
                     <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'State'" [options]="test_states"
                        [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                        [selectedOptions]="searchByFilters.test_state"
                        (selectionChange)="setFilterCriterea($event,'test_state')">
                     </mat-select-autocomplete> -->
                  </div>
                  <div class="col-auto">
                     <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Region'" [options]="test_regions"
                        [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                        [selectedOptions]="searchByFilters.test_region"
                        (selectionChange)="setFilterCriterea($event,'test_region')">
                     </mat-select-autocomplete> -->
                  </div>
                  <div class="col-auto">
                     <!-- <mat-select-autocomplete class="grid-7-11 res-mob-ml--10 " [placeholder]="'Store'"
                        [options]="test_stores" [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                        [selectedOptions]="searchByFilters.test_store_name"
                        (selectionChange)="setFilterCriterea($event,'test_store_name')">
                     </mat-select-autocomplete> -->
                  </div>
                  <div class="col-auto" style="line-height:0px;">
                     <div class="field-title" style="white-space: nowrap;">Select Control Stores</div>
                     <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'State'" [options]="control_states"
                        [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                        [selectedOptions]="searchByFilters.control_state"
                        (selectionChange)="setFilterCriterea($event,'control_state')">
                     </mat-select-autocomplete> -->
                  </div>
                  <div class="col-auto">
                     <!-- <mat-select-autocomplete class="grid-7-11 res-ml--10 res-mob-ml--10" [placeholder]="'Region'"
                        [options]="control_regions" [display]="'label'" [value]="'value'" [multiple]='true'
                        [selectedOptions]="searchByFilters.control_region"
                        [labelCount]="2" (selectionChange)="setFilterCriterea($event,'control_region')">
                     </mat-select-autocomplete> -->
                  </div>
                  <div class="col-auto ipadpro-res-pl-0">
                     <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Store'" [options]="control_stores"
                        [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                        [selectedOptions]="searchByFilters.control_store_name"
                        (selectionChange)="setFilterCriterea($event,'control_store_name')">
                     </mat-select-autocomplete> -->
                  </div>
               </div>
               <div class="row mb-4 d-none">
                  <div style="font-size: 12px;color: #82C145;cursor:pointer;" class="f-14"
                     (click)="showAdditionalInput=!showAdditionalInput">
                     Show Optional
                     Inputs
                  </div>
               </div>
               <div class="row" style="margin-top:20px;" *ngIf='showAdditionalInput'>
                  <div class="col-auto p-0">
                     <mat-label class="field-title" style="white-space: nowrap;">Select Day Part</mat-label>
                     <div appearance="outline">
                        <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Day Part'" [options]="dayParts"
                           [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                           [selectedOptions]="searchByFilters.daypart"
                           (selectionChange)="setFilterCriterea($event,'daypart')">
                        </mat-select-autocomplete> -->
                     </div>
                  </div>
                  <div class="col-auto pl-4 p-0">
                     <mat-label class="field-title" style="white-space: nowrap;">Select Order Mode</mat-label>
                     <div appearance="outline">
                        <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Order Mode'" [options]="orderModes"
                           [display]="'label'" [value]="'value'" [multiple]='true' [labelCount]="2"
                           [selectedOptions]="searchByFilters.ordermodename"
                           (selectionChange)="setFilterCriterea($event,'ordermodename')">
                        </mat-select-autocomplete> -->
                     </div>
                  </div>
                  <div class="col-auto pl-4 p-0">
                     <mat-label class="field-title res-mob-ml--10" style="white-space: nowrap;">Select Product Category
                     </mat-label>
                     <div appearance="outline">
                        <!-- <mat-select-autocomplete class="grid-7-11" [placeholder]="'Product Category'"
                           [options]="productCategories" [display]="'label'" [value]="'value'" [multiple]='true'
                           [selectedOptions]="searchByFilters.saledepartmentname"
                           [labelCount]="2" (selectionChange)="setFilterCriterea($event,'saledepartmentname')">
                        </mat-select-autocomplete> -->
                     </div>
                  </div>
               </div>
               <div class="row">
                  <div class="w-100 d-flex">
                     <div appearance="outline" style="line-height:0px;flex-direction: column;">
                        <button class="btn btn-md btn-primary f-16 box-shadow-none" mat-raised-button (click)="applySearch()">Analyze</button>
                     </div>
                     <div class=" f-14 forecast-reset ml-4 text-primary" (click)="clearSearch()">Reset All</div>
                  </div>
               </div>
            </div>
         </div>
      </div>
   </form>
</div>
   <!-- <div class="col-md-12 p-0">
      <hr class="hr-border container-m--x mt-3 mb-3">
   </div> -->
</div>
<div >
   <ng-container>
      <div [hidden]="!showResult" class="container-fluid">
         <mat-toolbar style="background-color:transparent;" class="p-0">
            <div style="float:left;" class="inCustom-popup"><img src='assets/img/results.svg'  /> <span
                  class="pl-1 v-middle f-20">Results</span> <img placement="right" [ngbPopover]="popContent3"
                  [popoverTitle]="popTitle3" src='assets/img/info.svg'
                  style='margin-left:5px;vertical-align: -webkit-baseline-middle;cursor:pointer;' />
            </div>
            <mat-button-toggle-group #group style="margin-left: auto;margin-right: auto;"
               [value]="view_filter.current_view">
               <mat-button-toggle value="$" aria-label="Text align left" (change)="onViewTypeChange($event.value)">
                  Dimension View ($,#)
               </mat-button-toggle>
               <mat-button-toggle value="%" aria-label="Text align center" (change)="onViewTypeChange($event.value)">
                  Percentage View (%)
               </mat-button-toggle>
            </mat-button-toggle-group>
         </mat-toolbar>
         <div class="row pt-3">
            <div class="col-md-12">
               <mat-button-toggle-group #group style="border: none;">
                  <form class="ml-1 mb-2" style="display: flex;">
                     <label class="custom-control custom-radio mb-0">
                        <input type="radio" id="defaultRadio1" name="view_filter.confidence_per"
                           class="custom-control-input" [(ngModel)]="view_filter.confidence_per" [value]="80">
                        <div class="custom-control-label" for="defaultRadio1">80% Confidence</div>
                     </label>
                     <label class="ml-5 custom-control custom-radio mb-0">
                        <input type="radio" id="defaultRadio2" name="view_filter.confidence_per"
                           class="custom-control-input" [(ngModel)]="view_filter.confidence_per" [value]="95">
                        <div class="custom-control-label" for="defaultRadio2">95% Confidence</div>
                     </label>
                  </form>
               </mat-button-toggle-group>
            </div>
         </div>
         
         <ng-container *ngFor="let callback of master_callback">
            <app-testcontrol-detail [view_filter]="view_filter" [callback]="callback" [current_view]="current_view" (afterload)="stop_loader($event)"></app-testcontrol-detail>
         </ng-container>
      </div>
   </ng-container>
   <!-- </block-ui> -->
</div>

<ng-template #elementBlockTemplate1>
   <custom-loader [loaderArr]="loaderArr"></custom-loader>
</ng-template>